Arduino

Reference Language | Libraries | Comparison | Changes

Robot

## compassRead()

#### Description

Get the current direction from on-board compass. The values are degrees of rotation from north (in a clockwise direction), so that east is 90, south is 180, and west is 270.

#### Syntax

Robot.compassRead()

#### Parameters

none

#### Returns

int: 0 to 359, representing the number of degrees of rotation from north.

### Note

The compass module may be disrupted by magnetic fields in surrounding areas.

#### Examples

#include <ArduinoRobot.h>
void setup(){
Robot.begin();
Serial.begin(9600);
}
void loop(){
Serial.println(Robot.compassRead());
delay(100);
}
[Get Code]

#### See also

- analogRead()
- digitalWrite()
- analogWrite()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers